Extending Qt Creator Manual | CppQmlTypesLoader

Extending Qt Creator Manual 4.5.2

# CppQmlTypesLoader Class

(QmlJS::CppQmlTypesLoader)

- List of all members, including inherited members

## Public Types

typedef | BuiltinObjects

## Static Public Members

BuiltinObjects | loadQmlTypes(const QFileInfoList &qmltypesFiles, QStringList *errors, QStringList *warnings)
void | parseQmlTypeDescriptions(const QByteArray &contents, BuiltinObjects *newObjects, QList<ModuleApiInfo> *newModuleApis, QStringList *newDependencies, QString *errorMessage, QString *warningMessage, const QString &fileName)

## Member Type Documentation

### typedef CppQmlTypesLoader::BuiltinObjects

## Member Function Documentation

### `[static]` BuiltinObjects CppQmlTypesLoader::loadQmlTypes(const QFileInfoList &qmltypesFiles, QStringList *errors, QStringList *warnings)

### `[static]` void CppQmlTypesLoader::parseQmlTypeDescriptions(const QByteArray &contents, BuiltinObjects *newObjects, QList<ModuleApiInfo> *newModuleApis, QStringList *newDependencies, QString *errorMessage, QString *warningMessage, const QString &fileName)